unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, NxInspectorNodeClasses6, NxInspectorNode6, NxControls6,
  NxInspector6;

type
  TForm1 = class(TForm)
    NextInspector61: TNextInspector6;
    NxInspectorNode61: TNxInspectorNode6;
    NxCheckBoxInspectorNode61: TNxCheckBoxInspectorNode6;
    Edit1: TEdit;
    Button1: TButton;
    CheckBox1: TCheckBox;
    NxInspectorNode62: TNxInspectorNode6;
    procedure FormCreate(Sender: TObject);
    procedure Edit1Enter(Sender: TObject);
    procedure NextInspector61BeforeAddProperty(Sender: TObject; Info: TNxPropInfo; var NodeClass: TNxInspectorNodeClass;
      var Accept: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  StrUtils;

{$R *.dfm}

procedure TForm1.Edit1Enter(Sender: TObject);
begin
  NextInspector61.ReadProperties(NxInspectorNode62);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  NextInspector61.Associates.Add(Edit1);
  NextInspector61.Associates.Add(Button1);
  NextInspector61.Associates.Add(CheckBox1);
end;

procedure TForm1.NextInspector61BeforeAddProperty(Sender: TObject; Info: TNxPropInfo;
  var NodeClass: TNxInspectorNodeClass; var Accept: Boolean);
begin
  { Exclude Events }
  if LeftStr(Info.Name, 2) = 'On' then
    Accept := False;
end;

end.
